petsc-3.10.5 2019-03-28
Report Typos and Errors

# MatAssembled

Indicates if a matrix has been assembled and is ready for use; for example, in matrix-vector product.

### Synopsis

    #include "petscmat.h"
    PetscErrorCode MatAssembled(Mat mat,PetscBool  *assembled)

Not Collective

### Input Parameter

mat -the matrix

### Output Parameter

assembled -PETSC_TRUE or PETSC_FALSE

### See Also

MatAssemblyEnd(), MatSetValues(), MatAssemblyBegin()

### Level

advanced

### Location

src/mat/interface/matrix.c

### Examples

src/snes/examples/tutorials/ex58.c.html
src/tao/unconstrained/examples/tutorials/eptorsion1.c.html
src/tao/unconstrained/examples/tutorials/minsurf2.c.html
src/tao/unconstrained/examples/tutorials/rosenbrock1.c.html
src/tao/unconstrained/examples/tutorials/rosenbrock1f.F90.html
src/tao/bound/examples/tutorials/plate2.c.html
src/tao/bound/examples/tutorials/jbearing2.c.html
src/tao/bound/examples/tutorials/plate2f.F90.html
src/tao/complementarity/examples/tutorials/minsurf1.c.html
src/tao/complementarity/examples/tutorials/blackscholes.c.html
Index of all Mat routines
Table of Contents for all manual pages
Index of all manual pages